import { HttpResponse } from '../@types'
import request from './request'

class scheduledTripService {
  // 行程详情
  static async GetB2BTravelInfoV1(param:any):Promise<HttpResponse>{
    return request('b2b_get_GetB2BTravelInfoV1',param)
  }
  // 获取分页数据
  static async GetB2BTravelPageList(param:any):Promise<HttpResponse>{
    return request('b2b_get_GetB2BTravelPageList',param)
  }
  // 获取地区数据
  static async GetSearchArea(param:any):Promise<HttpResponse>{
    return request('ws_get_GetSearchArea',param)
  }
  // 基础配置
  static async GetWebSiteConfig(param:any):Promise<HttpResponse>{
    return request('ws_get_GetWebSiteConfig',param)
  }
}

export default scheduledTripService
